%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pythonname audio_convert_mod
#define pretag rc1

Name:              audio-convert-mod
# can't use 3.45.3 for non-testing releases: 3.45.3beta > 3.45.3
Version:           3.45.4
Release:           1%{?dist}
#Release:           0.1.%{pretag}%{?dist}
BuildArch:         noarch
Summary:           A simple audio file converter supporting many formats
Group:             Applications/Multimedia
License:           GPLv2+
URL:               http://www.diffingo.com/content/view/13/47/lang,en/
Source0:           http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod-%{version}.tar.gz
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     desktop-file-utils
BuildRequires:     gettext
BuildRequires:     intltool, automake, make
BuildRequires:     python-devel >= 2.4
Requires:          python >= 2.4
Requires:          pygtk2, pygtk2-libglade
Requires:          flac, vorbis-tools, wavpack

%description
%{name} is a simple audio file converter supporting various formats
via external binaries. It facilitates the batch conversion of audio files
from one format to another by access from the menu or by the user script where
at a right-click files can be converted at once. It also supports file
tags/metadata where applicable.


%prep
%setup -q
#setup -q -n %{name}-%{version}%{pretag}

#pushd src
#patch0 -p0 -b .patch0
#popd

%build
%configure
# We don't implement this yet
# make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/%{pythonname}/

%doc AUTHORS ChangeLog COPYING NEWS INSTALL README TODO

%changelog
* Sun May 11 2008 Stewart Adam <s.adam@diffingo.com> 3.45.4-1
- Update to 3.45.4 (see CHANGELOG file for details on version changes)

* Fri Apr 25 2008 Stewart Adam <s.adam@diffingo.com> 3.45.3-1
- Update to 3.45.3 (see CHANGELOG file for details on version changes)
- Fixes RH#442502

* Sat Jan 19 2008 Stewart Adam <s.adam@diffingo.com> 3.45.2-3
- Rebuild

* Sat Sep 8 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-2
- Fix traceback upon calling --help

* Wed Sep 5 2007 Stewart Adam <s.adam@diffingo.com> 3.45.2-1
- Update to 3.45.2 (see CHANGELOG file for details on version changes)
- Fixes RH#277871

* Fri Aug 24 2007 Stewart Adam <s.adam@diffingo.com> 3.45.1-1
- Update to 3.45.1 (see CHANGELOG file for details on version changes)
- Remove uninstall script from package
- Update License tag per guideline changes
- Use sitelib, not sitearch

* Fri Aug 3 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-1
- Update to 3.45.0 (see CHANGELOG file for details on version changes)

* Tue Jul 31 2007 Stewart Adam <s.adam@diffingo.com> 3.45.0-0.1
- Initial RPM release, 3.45.0 beta

